package com.muyu.common.core.constant;

import org.springframework.beans.factory.annotation.Value;

/**
 * kafka 连接常量
 * @Author：杨鹏
 * @Package：com.muyu.common.core.constant
 * @Project：car-cloud-server
 * @name：KafkaConstants
 * @Date：2024/9/28 20:26
 * @author muyu
 */
public class KafkaConstants {

    /**
     * kafka地址
     */
    public static final String BOOTSTRAP_SERVERS = "bootstrap.servers";

    /**
     * 重试次数
     */
    public static final String RETRIES = "retries";

    /**
     * 默认批量大小
     */
    public static final String BATCH_SIZE = "batch.size";

    /**
     * 总内存字节数
     */
    public static final String BUFFER_MEMORY = "buffer.memory";

    /**
     * 生产者偏移量
     */
    public static final String ACKS = "acks";

    /**
     * 消费者偏移量
     */
    public static final String ENABLE_AUTO_COMMIT = "enable.auto.commit";

    /**
     * 自动提交时间间隔
     */
    public static final String AUTO_COMMIT_INTERVAL = "auto.commit.interval";

    /**
     * 偏移量配置
     */
    public static final String AUTO_OFFSET_RESET = "auto.offset.reset";

    /**
     * 堵塞最大时间
     */
    public static final String FETCH_MAX_WAIT = "fetch.max.wait";

    /**
     * 请求最小字节
     */
    public static final String FETCH_MIN_SIZE = "fetch.min.size";

    /**
     * 心跳间隔时间
     */
    public static final String HEARTBEAT_INTERVAL = "heartbeat.interval";

    /**
     * 最大记录条数
     */
    public static final String MAX_POLL_RECORDS = "max.poll.records";

    /**
     * 消费组
     */
    public static final String GROUP_ID = "group.id";

}
