package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 绑定围栏组中间表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "bound_middle",autoResultMap = true)
public class BoundMiddle extends BaseEntity {

    /**
     * 主键
     */
    @TableId(value = "bound_middle_id")
    @Schema(description = "主键",type = "Integer")
    private Long boundMiddleId;

    /**
     * 车辆id
     */
    @Schema(description = "车辆id",type = "Integer")
    private Integer vehicleId;

    /**
     * 围栏组id
     */
    @Schema(description = "围栏组id",type = "Integer")
    private Integer fenceGroupId;

}
