package com.muyu.domain;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.annotation.Excel.ColumnType;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：ChenYan
 * @Project：2112-car-cloud-server
 * @Package：com.muyu.fault.domain
 * @Filename：Fault
 * @Description TODO
 * @Date：2024/9/18 11:04
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "fault")
public class Fault extends BaseEntity {

    /**
     * 自增主键
     */
    @Excel(name = "参数主键", cellType = ColumnType.NUMERIC)
    @TableId( type = IdType.AUTO)
    private Long id;
    /**
     * 车辆故障编码
     */
    @Excel(name = "车辆故障编码")
    private String faultCode;
    /**
     * 车辆故障名称
     */
    @Excel(name = "车辆故障名称")
    private String faultName;
    /**
     * 车辆故障类型
     */
    @Excel(name = "辆故障类型")
    private String faultType;
    /**
     * 故障VIN编码
     */
    @Excel(name = "故障VIN编码")
    private String carVin;
    /**
     * 车辆故障标签
     */
    @Excel(name = "车辆故障标签")
    private String faultLabel;
    /**
     * 车辆故障位
     */
    @Excel(name = "车辆故障位")
    private String faultBit;
    /**
     * 车辆故障值
     */
    @Excel(name = "车辆故障值")
    private String faultValue;
    /**
     * 故障级别
     */
    @Excel(name = "故障级别")
    private String faultWarn;
    /**
     * 报警状态（Y.是，N.否）
     */
    @Excel(name = "报警状态（Y.是，N.否）")
    private String warnStatus;
    /**
     * 故障描述信息
     */
    @Excel(name = "故障描述信息")
    private String faultDesc;
    /**
     * 启用状态(1.待处理 2.处理中 3.已处理 4.忽略)
     */
    @Excel(name = "启用状态(1.待处理 2.处理中 3.已处理 4.忽略)")
    private String state;

}
