package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：ChenYan
 * @Project：2112-car-cloud-server
 * @Package：com.muyu.fault.domain.vo
 * @Filename：FaultInfo
 * @Description TODO
 * @Date：2024/9/16 20:23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "fault_info", autoResultMap = true)
public class FaultInfo extends BaseEntity {

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 故障码
     */
    @Excel(name = "故障码")
    private String faultCode;

    /**
     * 故障类型
     */
    @Excel(name = "故障类型")
    private String faultType;

    /**
     * 故障组
     */
    @Excel(name = "故障组")
    private String groupName;

    /**
     * 故障位
     */
    @Excel(name = "故障位")
    private Integer faultBit;

    /**
     * 故障值
     */
    @Excel(name = "故障值")
    private String faultValue;

    /**
     * 故障标签
     */
    @Excel(name = "故障标签")
    private String faultTab;

    /**
     * 是否警告
     */
    @Excel(name = "是否警告")
    private Long isWarning;
}
