package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 电子围栏表
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "fence", autoResultMap = true)
public class Fence extends BaseEntity{


    /**
     * 主键
     */
    @TableId(value = "fence_id" ,type = IdType.AUTO)
    @Schema(type = "Long", description = "主键")
    private Long fenceId;

    /**
     * 围栏名称
     */
    @Schema(type = "String", description = "围栏名称")
    private String fenceName;

    /**
     * 业务类型
     */
    @Schema(type = "Integer", description = "业务类型")
    private Integer fenceType;

    /**
     * 围栏类型
     */
    @Schema(type = "Integer",description = "围栏类型")
    private Integer typeId;

    /**
     * 坐标
     */
    @Schema(type = "String", description = "坐标")
    private String coordinates;

    /**
     * 描述
     */
    @Schema(type = "String", description = "描述")
    private String description;

    /**
     * 状态
     */
    @Schema(type = "Integer", description = "状态")
    private Integer status;

    /**
     * 开始时间
     */
    @Schema(type = "Date", description = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss:mm")
    private Date startTime;

    /**
     * 结束时间
     */
    @Schema(type = "Date", description = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss:mm")
    private Date endTime;

}
