package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "添加围栏组")
public class FenceGroupAddReq {

    /**
     * 主键
     */
    @Schema(type = "integer",description = "主键")
    @TableId(value = "fence_group_id",type = IdType.AUTO)
    private Long fenceGroupId;

    /**
     * 优先级
     */
    @Schema(type = "string",description = "优先级")
    private String priority;

    /**
     * 状态 0：启用 1：停止
     */
    @Schema(type = "integer",description = "状态 0：启用 1：停止")
    private Integer status;

    /**
     * 围栏组类型
     */
    @Schema(type = "string",description = "围栏组类型")
    private String groupType;

    /**
     * 多选框数组
     */
    @Schema(type = "array",description = "多选框数组")
    private Integer[] fenceIds;


}
