package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "围栏组信息查询")
public class FenceGroupReq {


    /**
     * 优先级
     */
    @Schema(type = "string",description = "优先级")
    private String priority;

    /**
     * 状态
     */
    @Schema(type = "integer",description = "状态")
    private Integer status;

    /**
     * 围栏组类型
     */
    @Schema(type = "string",description = "围栏组类型")
    private String groupType;

    /**
     * 电子围栏Id
     */
    @Schema(type = "integer",description = "电子围栏Id")
    private Integer fenceId;

    /**
     * 围栏名称
     */
    @Schema(type = "string",description = "围栏名称")
    private String fenceName;

    /**
     * 主键
     */
    @TableId(value = "fence_group_id" ,type = IdType.AUTO)
    @Schema(type = "Long",description = "围栏组id")
    private Long fenceGroupId;


}
