package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.car.domain.req
 * @Project: 2112-car-cloud-server
 * @name: MessageTemplateAddReq
 * @Date: 2024/9/18  22:35
 * @Description: 报文模版添加参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "新增报文模版请求参数", description = "根据入参进行报文模版的添加")
public class MessageTemplateAddReq {

    /**
     * 报文模版名称
     */
    @Schema(type = "string", description = "报文模版名称")
    private String messageTemplateName;

    /**
     * 报文模版描述
     */
    @Schema(type = "string", description = "报文模版描述")
    private String messageTemplateDescribe;
}
