package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.car.domain.req
 * @Project: 2112-car-cloud-server
 * @name: MessageTypeAddReq
 * @Date: 2024/9/18  20:38
 * @Description: 报文类型参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "新增报文数据请求参数", description = "根据入参进行报文数据的添加")
public class MessageValueAddReq {

    /**
     * 模版主键
     */
    @Schema(type = "Long", description = "模版主键")
    private Long templateId;

    /**
     * 报文类别
     */
    @Schema(type = "String", description = "报文类别")
    private String messageType;

    /**
     * 报文编码
     */
    @Schema(type = "String", description = "报文编码")
    private String messageCode;

    /**
     * 报文标签
     */
    @Schema(type = "String", description = "报文标签")
    private String messageLabel;

    /**
     * 起始下标
     */
    @Schema(type = "Integer", description = "起始下标")
    private Integer messageStartIndex;

    /**
     * 终止下标
     */
    @Schema(type = "Integer", description = "终止下标")
    private Integer messageEndIndex;
}
