package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Tag(name = "围栏组绑定的围栏信息")
public class BoundFence {

    /**
     * 围栏组id
     */
    @TableId(value = "fence_group_id" ,type = IdType.AUTO)
    @Schema(type = "Long",description = "围栏组id")
    private Long fenceGroupId;

    /**
     * 电子围栏id
     */
    @Schema(type = "Long", description = "主键")
    private Long fenceId;

    /**
     * 电子围栏名称
     */
    @Schema(type = "String",description = "电子围栏名称")
    private String fenceName;

    /**
     * 业务类型
     */
    @Schema(type = "Integer", description = "业务类型")
    private Integer fenceType;

    /**
     * 围栏类型
     */
    @Schema(type = "Integer",description = "围栏类型")
    private Integer typeId;

    /**
     * 坐标
     */
    @Schema(type = "String", description = "坐标")
    private String coordinates;

    /**
     * 描述
     */
    @Schema(type = "String", description = "描述")
    private String description;

}
