package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "车辆绑定的围栏组", description = "车辆绑定的围栏组")
public class BoundFenceGroup {

    /**
     * 主键
     */
    @TableId(value = "fence_group_id" ,type = IdType.AUTO)
    @Schema(type = "Long",description = "围栏组id")
    private Long fenceGroupId;

    /**
     * 优先级
     */
    @Schema(type = "String",description = "优先级")
    private String priority;

    /**
     * 状态 0:启用 1:禁止
     */
    @Schema(type = "Integer",description = "状态 0:启用 1:禁止")
    private Integer status;

    /**
     * 围栏组类型
     */
    @Schema(type = "String",description = "围栏组类型")
    private String groupType;


}
