package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "查询围栏")
public class FenceResp {

    /**
     * 主键
     */
    @TableId(value = "fence_id" ,type = IdType.AUTO)
    @Schema(type = "Long", description = "主键")
    private Long fenceId;

    /**
     * 围栏类型名称
     */
    @Schema(type = "String", description = "电子围栏名称")
    private String typeName;

    /**
     * 电子围栏名称
     */
    @Schema(type = "String",description = "电子围栏名称")
    private String fenceName;

    /**
     * 业务类型
     */
    @Schema(type = "Integer", description = "业务类型")
    private Integer fenceType;

    /**
     * 围栏类型
     */
    @Schema(type = "Integer",description = "围栏类型")
    private Integer typeId;

    /**
     * 坐标
     */
    @Schema(type = "String", description = "坐标")
    private String coordinates;

    /**
     * 描述
     */
    @Schema(type = "String", description = "描述")
    private String description;

    /**
     * 状态
     */
    @Schema(type = "Integer", description = "状态")
    private Integer status;

    /**
     * 开始时间
     */
    @Schema(type = "Date", description = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss:mm")
    private Date startTime;

    /**
     * 结束时间
     */
    @Schema(type = "Date", description = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss:mm")
    private Date endTime;

}
