package com.muyu.domain.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Tag(name = "车辆管理列表",description = "负责车辆管理列表的相应数据")
public class VehicleManageResp {

    /**
     * 车辆主键
     */
    @Schema(type = "Long",defaultValue = "1",description = "车辆主键")
    private Long vehicleId;

    /**
     * 车牌号
     */
    @Schema(type = "String", defaultValue = "冀A93827", description = "车牌号")
    private String licenceNumber;

    /**
     * 车辆颜色
     */
    @Schema(type = "String", defaultValue = "", description = "车辆颜色")
    private String vehicleColor;

    /**
     * 车辆VIN
     */
    @Schema(type = "String", defaultValue = "LDC913L2240606423", description = "车辆VIN")
    private String vehicleVin;

    /**
     * 车辆类型
     */
    @Schema(type = "Long", defaultValue = "新能源", description = "车辆类型")
    private String vehicleTypeName;

    /**
     * 车辆品牌
     */
    @Schema(title = "车辆品牌", type = "String", defaultValue = "1", description = "车辆品牌")
    private String vehicleBrand;

    /**
     * 车辆型号
     */
    @Schema(title = "车辆型号", type = "String", defaultValue = "1", description = "车辆型号")
    private String vehicleModel;

    /**
     * 车辆状态
     */
    @Schema(type = "String", defaultValue = "", description = "车辆状态")
    private String vehicleStatus;

}
