package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "WarnStrategyAndVin缓存预警信息获取vin")
public class WarnStrategyAndVinResp {


    /**
     * 车辆VIN
     */
    @Schema(type = "String",description = "车辆VIN")
    @Excel(name = "车辆VIN")
    private String vehicleVin;

    /**
     * 策略id
     */
    @Schema(type = "Long",description = "策略id")
    @TableId( type = IdType.AUTO)
    private Long warnStrategyId;

    /**
     * 策略名称
     */
    @Schema(type = "String",description = "策略名称")
    @Excel(name = "策略名称")
    private String strategyName;

    /**
     * 报文模版id
     */
    @Schema(type = "Integer",description = "报文模版id")
    @Excel(name = "报文模版id")
    private Integer messageTemplateId;

    /**
     * 车辆类型id
     */
    @Schema(type = "Long",description = "车辆类型id")
    @Excel(name = "车辆类型id")
    private Long vehicleTypeId;

}
