package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "预警与车辆连查")
public class WarnVehicleResp {

    /** 策略id */
    @Schema(type = "Long",description = "策略id")
    @TableId( type = IdType.AUTO)
    private Long warnStrategyId;

    /**
     * 车牌号
     */
    @Schema(type = "String", defaultValue = "冀A93827", description = "车牌号")
    private String licenceNumber;

    /**
     * 车辆VIN
     */
    @Schema(type = "String", defaultValue = "LDC913L2240606423", description = "车辆VIN")
    private String vehicleVin;

    /**
     * 车辆状态
     */
    @Schema(type = "String", defaultValue = "", description = "车辆状态")
    private String vehicleStatus;

    /**
     * 车辆类型id
     */
    @Schema(type = "Long",description = "车辆类型id")
    @Excel(name = "车辆类型id")
    private Long vehicleTypeId;

    /**
     * 车辆类型名称
     */
    @Schema(type = "String",description = "车辆类型名称")
    private String vehicleTypeName;

    /**
     * 策略名称
     */
    @Schema(type = "String",description = "策略名称")
    @Excel(name = "策略名称")
    private String strategyName;

    /**
     * 报文模版名称
     */
    @Schema(type = "String",description = "报文模版名称")
    private String messageTemplateName;


    /**
     * 报文模版id
     */
    @Schema(type = "Integer",description = "报文模版id")
    @Excel(name = "报文模版id")
    private Integer messageTemplateId;


}
