package com.muyu.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.MessageValue;
import com.muyu.domain.req.MessageValueReq;
import com.muyu.domain.resp.MessageValueListResp;

import java.util.List;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.car.service
 * @Project: 2112-car-cloud-server
 * @name: MessageValueService
 * @Date: 2024/9/19  15:47
 * @Description: 报文数据接口
 */
public interface MessageValueService extends IService<MessageValue> {

    /**
     * 报文模版数据列表
     * @param messageValueReq
     * @return
     */
    List<MessageValueListResp> findAll(MessageValueReq messageValueReq);

    /**
     * 根据报文模版id查询报文数据列表
     * @param templateId
     * @return
     */
    List<MessageValueListResp> findByTemplateId(Long templateId);

//    /**
//     * 报文解析
//     *
//     * @param testStr
//     * @return
//     */
//    JSONObject analysis(String testStr);
}
