package com.muyu.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.BoundMiddle;
import com.muyu.domain.FenceGroup;
import com.muyu.domain.Vehicle;
import com.muyu.domain.req.BoundFenceGroupReq;
import com.muyu.domain.req.VehicleManageReq;
import com.muyu.domain.resp.BoundFenceGroup;
import com.muyu.domain.resp.VehicleManageResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.car.service
 * @Project: 2112-car-cloud-server
 * @name: VehicleService
 * @Date: 2024/9/17  17:39
 * @Description: 车辆管理接口
 */
public interface VehicleService extends IService<Vehicle> {

    /**
     * 查询车辆管理列表
     * @param vehicleManageReq
     * @return
     */
    List<VehicleManageResp> getVehicleList(VehicleManageReq vehicleManageReq);


    /**
     * 根据车辆vin查询模板id
     * @param vehicleVin
     * @return
     */
    Long findByVehicleVin(String vehicleVin);

    /**
     * 绑定围栏组
     */
    void boundFenceGroup(BoundFenceGroupReq boundFenceGroupReq);

    /**
     * 查询绑定围栏组信息
     * @param fenceGroupId
     * @return
     */
    List<FenceGroup> showBoundFenceGroup(@Param("fenceGroupId") Long fenceGroupId);

    /**
     * 根据围栏组id查询围栏信息
     * @param vehicleId
     */
    List<BoundFenceGroup> findByFenceGroupId(Long vehicleId);

}
