package com.muyu.gen.mapper;

import com.muyu.gen.domain.GenTableColumn;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 业务字段 数据层
 *
 * @author ruoyi
 */
public interface GenTableColumnMapper
{
    /**
     * 根据表名称查询列信息
     *
     * @param tableName 表名称
     * @param dbName
     * @return 列信息
     */
    public List<GenTableColumn> selectDbTableColumnsByName(@Param("tableName") String tableName, @Param("dbName") String dbName);

    /**
     * 查询业务字段列表
     *
     * @param tableId 业务字段编号
     * @return 业务字段集合
     */
    public List<GenTableColumn> selectGenTableColumnListByTableId(@Param("tableId") Long tableId);

    /**
     * 新增业务字段
     *
     * @param genTableColumn 业务字段信息
     * @return 结果
     */
    public int insertGenTableColumn(GenTableColumn genTableColumn);

    /**
     * 修改业务字段
     *
     * @param genTableColumn 业务字段信息
     * @return 结果
     */
    public int updateGenTableColumn(GenTableColumn genTableColumn);

    /**
     * 删除业务字段
     *
     * @param genTableColumns 列数据
     * @return 结果
     */
    public int deleteGenTableColumns(@Param("genTableColumns") List<GenTableColumn> genTableColumns);

    /**
     * 批量删除业务字段
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteGenTableColumnByIds(@Param("ids") Long[] ids);
}
