package com.muyu.cloud.vehicle.gateway.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 阿里云配置
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "aliyun")
public class AliProperties {

    /**
     * Key
     */
    private String accessKeyId;
    /**
     * Secret
     */
    private String accessKeySecret;
    /**
     * 地域
     */
    private String endpoint;
    /**
     * 地域ID
     */
    private String regionId;
    /**
     * 镜像ID
     */
    private String imageId;
    /**
     * 实例规格类型
     */
    private String instanceType;
    /**
     * 安全组ID
     */
    private String securityGroupId;
    /**
     * 虚拟交换机ID
     */
    private String switchId;
    /**
     * 实例数量
     */
    private Integer amount;
}
