package com.muyu.cloud.vehicle.gateway.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "server_config")
public class ServerConfig {

    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 租户id
     */
    private String tenantId;
    /**
     * 主机地址
     */
    private String host;
    /**
     * 端口
     */
    private String port;
    /**
     * 负载的地址
     */
    private String url;
    /**
     * 默认MQTT地址
     */
    private String defaultMqttAddr;
    /**
     * 默认MQTT主题
     */
    private String defaultMqttTopic;
    /**
     * 默认MQTT QOS
     */
    private Integer defaultMqttQos;
}
